Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 223820 - modinfo does not show whether a module is signed or not (and by whom)
Summary: modinfo does not show whether a module is signed or not (and by whom)
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: module-init-tools
Version: 6
Hardware: All
OS: Linux
medium
low
Target Milestone: ---
Assignee: Jon Masters
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-01-22 17:04 UTC by Jan Iven
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-10-30 06:13:58 UTC


Attachments (Terms of Use)

Description Jan Iven 2007-01-22 17:04:28 UTC
Description of problem:

/sbin/modinfo gives no indication of whether a module has been signed or not.
This would be a nice addition (perhaps even with information on the signing key
actually used). Given that RedHat/Fedora modules that come inside the kernel RPM
get automagically signed with a temporary key, one could even imagine keeping
that key and using it to verify module integrity (RPM checksums do something
similar, but the in-kernel algorithm is different).


Version-Release number of selected component (if applicable):
module-init-tools-3.3-0.pre1.4.17

Comment 1 Jon Masters 2007-08-20 06:23:37 UTC
This has been fixed upstream and is included in the latest RHEL5. I will also
ensure the updated module-init-tools is available - though it was in rawhide
when I last checked.

Jon.


Comment 2 Jon Masters 2007-10-30 06:13:58 UTC
There's a fix upstream, it's in the latest Fedora packages.


Note You need to log in before you can comment on or make changes to this bug.